logo MSJO.kr

macOS + PHP 7.3, Oracle oci8.so

2018-12-11
MsJ

macOS 10.14에서 pecl install oci8 형태로 oracle 확장을 설치하면 php 7.3 버전에서는 컴파일 에러가 발생한다. 이 경우 php 최신 소스를 다운로드 받아 빌드 후 설치한다.

$> cd ext/oci8
$> phpize
$> ./configure --with-oci8=instantclient,/디렉터리/instantclient_12_2
$> make

$> cd ext/pdo-oci
$> phpize
$> ./configure --with-pdo-oci=instantclient,/디렉터리/instantclient_12_2
$> make

# https://github.com/Microsoft/msphpsql/releases
$> vi /usr/local/etc/php/7.3/php.ini 
extension=/usr/local/lib/php/oci8.so
extension=/usr/local/lib/php/pdo_oci.so
extension=/usr/local/lib/php/php_sqlsrv_73_nts.so
extension=/usr/local/lib/php/php_pdo_sqlsrv_73_nts.so

Prεv   Nεxt
Content
Search     RSS Feed     BY-NC-ND